MyGUI::MultiListBox Class Reference

widget description should be here. More...

`#include <MyGUI_MultiListBox.h>`

Inheritance diagram for MyGUI::MultiListBox:
[legend]

## Public Types

typedef RTTIBase | Base
typedef MultiListBox | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions

virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
size_t | getColumnCount () const
| Get number of columns.
void | insertColumnAt (size_t _column, const UString &_name, int _width=0, Any _data=Any::Null)
void | addColumn (const UString &_name, int _width=0, Any _data=Any::Null)
void | removeColumnAt (size_t _column)
void | removeAllColumns ()
void | swapColumnsAt (size_t _index1, size_t _index2)
| Swap columns at a specified positions.
void | setColumnNameAt (size_t _column, const UString &_name)
void | setColumnName (MultiListItem *_item, const UString &_name)
void | setColumnWidthAt (size_t _column, int _width)
void | setColumnWidth (MultiListItem *_item, int _width)
const UString & | getColumnNameAt (size_t _column) const
const UString & | getColumnName (const MultiListItem *_item) const
int | getColumnWidthAt (size_t _column) const
void | sortByColumn (size_t _column, bool _backward=false)
size_t | getColumnIndex (const MultiListItem *_item) const
| Get column index.
void | setColumnResizingPolicy (MultiListItem *_item, ResizingPolicy _value)
void | setColumnResizingPolicyAt (size_t _index, ResizingPolicy _value)
void | setColumnDataAt (size_t _index, Any _data)
| Replace an item data at a specified position.
void | clearColumnDataAt (size_t _index)
| Clear an item data at a specified position.
template<typename ValueType>
ValueType * | getColumnDataAt (size_t _index, bool _throw=true)
| Get item data from specified position.
size_t | getItemCount () const
void | insertItemAt (size_t _index, const UString &_name, Any _data=Any::Null)
void | addItem (const UString &_name, Any _data=Any::Null)
void | removeItemAt (size_t _index)
| Remove item at a specified position.
void | removeAllItems ()
void | swapItemsAt (size_t _index1, size_t _index2)
| Swap items at a specified positions.
void | setItemNameAt (size_t _index, const UString &_name)
| Replace an item name.
const UString & | getItemNameAt (size_t _index) const
| Get item name from specified position.
size_t | getIndexSelected () const
void | setIndexSelected (size_t _index)
void | clearIndexSelected ()
void | setItemDataAt (size_t _index, Any _data)
| Replace an item data at a specified position.
void | clearItemDataAt (size_t _index)
| Clear an item data at a specified position.
template<typename ValueType>
ValueType * | getItemDataAt (size_t _index, bool _throw=true)
| Get item data from specified position.
void | setSubItemNameAt (size_t _column, size_t _index, const UString &_name)
const UString & | getSubItemNameAt (size_t _column, size_t _index) const
size_t | findSubItemWith (size_t _column, const UString &_name)
void | setSubItemDataAt (size_t _column, size_t _index, Any _data)
| Replace an item data at a specified position.
void | clearSubItemDataAt (size_t _column, size_t _index)
| Clear an item data at a specified position.
template<typename ValueType>
ValueType * | getSubItemDataAt (size_t _column, size_t _index, bool _throw=true)
| Get item data from specified position.
size_t | _getItemCount () const override
void | _addItem (const MyGUI::UString &_name) override
void | _removeItemAt (size_t _index) override
Widget * | _getItemAt (size_t _index) const override
void | _setItemNameAt (size_t _index, const UString &_name) override
const UString & | _getItemNameAt (size_t _index) const override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::Widget
template<typename Type>
bool | isType () const
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetT (std::string_view _type, std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
Widget * | createWidgetRealT (std::string_view _type, std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidget (std::string_view _skin, int _left, int _top, int _width, int _height, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, const FloatCoord &_coord, Align _align, std::string_view _name={})
template<typename T>
T * | createWidgetReal (std::string_view _skin, float _left, float _top, float _width, float _height, Align _align, std::string_view _name={})
Widget * | createWidgetT (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
template<typename T>
T * | createWidget (WidgetStyle _style, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
void | setPosition (const IntPoint &_point) override
void | setSize (const IntSize &_size) override
void | setCoord (const IntCoord &_coord) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_point)
void | setRealSize (const FloatSize &_size)
void | setRealCoord (const FloatCoord &_coord)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _alpha)
float | getAlpha () const
void | setInheritsAlpha (bool _inherits)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (std::string_view _name)
void | findWidgets (std::string_view _name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (std::string_view _layer={})
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, std::string_view _layer={})
void | changeWidgetSkin (std::string_view _skinName)
void | setWidgetStyle (WidgetStyle _style, std::string_view _layer={})
WidgetStyle | getWidgetStyle () const
void | setProperty (std::string_view _key, std::string_view _value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, std::string_view _skinName, Widget *_parent, ICroppedRectangle *_croppedParent, std::string_view _name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer={}, std::string_view _name={})
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (std::string_view _state)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
virtual | ~ICroppedRectangle ()=default
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (std::string_view _key, std::string_view _value)
std::string_view | getUserString (std::string_view _key) const
const MapString & | getUserStrings () const
bool | clearUserString (std::string_view _key)
bool | isUserString (std::string_view _key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType>
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType>
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (std::string_view _value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (std::string_view _texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()=default
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()
Public Member Functions inherited from MyGUI::BiIndexBase
virtual | ~BiIndexBase ()=default
Public Member Functions inherited from MyGUI::IItemContainer
virtual | ~IItemContainer ()=default
virtual void | _setItemSelected (IItem *)
Public Member Functions inherited from MyGUI::MemberObsolete< MultiListBox >
size_t | getItemIndexSelected () const
void | setItemSelectedAt (size_t _index)
void | clearItemSelected ()
size_t | findItem (size_t _column, const UString &_name)
const UString & | getSubItem (size_t _column, size_t _index) const
void | setSubItem (size_t _column, size_t _index, const UString &_name)
void | deleteColumn (size_t _column)
void | deleteAllColumns ()
int | getColumnWidth (size_t _column) const
const UString & | getColumnName (size_t _column) const
void | setColumnWidth (size_t _column, int _width)
void | addColumn (int _width, const UString &_name)
void | setColumnName (size_t _column, const UString &_name)
void | insertColumn (size_t _column, int _width, const UString &_name)
size_t | getItemSelect () const
void | resetItemSelect ()
void | setItemSelect (size_t _index)
void | insertItem (size_t _index, const UString &_name)
void | setItem (size_t _index, const UString &_name)
const UString & | getItem (size_t _index) const
void | deleteItem (size_t _index)
void | deleteAllItems ()

## Static Public Member Functions

static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Data Fields

EventPair< EventHandle_WidgetSizeT, EventHandle_MultiListPtrSizeT > | eventListSelectAccept
EventPair< EventHandle_WidgetSizeT, EventHandle_MultiListPtrSizeT > | eventListChangePosition
EventPair< EventHandle_MultiListPtrSizeTCUTFStringRefCUTFStringRefBoolRef, EventHandle_MultiListPtrSizeTSizeTSizeTBoolRef > | requestOperatorLess
EventHandle_MultiListPtrCIBNotifyCellDataRef | eventNotifyItem
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions

void | initialiseOverride () override
void | shutdownOverride () override
void | onWidgetCreated (Widget *_widget) override
void | onWidgetDestroy (Widget *_widget) override
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Align _align, std::string_view _layer, std::string_view _name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T>
void | assignWidget (T *&_widget, std::string_view _name)
VectorWidgetPtr | getSkinWidgetsByName (std::string_view _name) const
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
virtual void | setPropertyOverride (std::string_view _key, std::string_view _value)
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseWheel (int _rel)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (std::string_view _state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_item, bool _deep)
void | detachFromLayerItemNode (bool _deep)
Protected Member Functions inherited from MyGUI::BiIndexBase
size_t | getIndexCount () const
size_t | insertItemAt (size_t _index)
size_t | removeItemAt (size_t _index)
void | removeAllItems ()
size_t | convertToBack (size_t _index) const
size_t | convertToFace (size_t _index) const
void | swapItemsFaceAt (size_t _index1, size_t _index2)
void | swapItemsBackAt (size_t _index1, size_t _index2)
void | checkIndexes ()

## Additional Inherited Members

Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin {false}
ICroppedRectangle * | mCroppedParent {nullptr}

## Detailed Description

widget description should be here.

Definition at line 38 of file MyGUI_MultiListBox.h.

## Member Typedef Documentation

## Base

typedef RTTIBase MyGUI::MultiListBox::Base

Definition at line 44 of file MyGUI_MultiListBox.h.

## RTTIBase

typedef MultiListBox MyGUI::MultiListBox::RTTIBase

Definition at line 44 of file MyGUI_MultiListBox.h.

## Member Function Documentation

## _addItem()

void MyGUI::MultiListBox::_addItem | ( | const MyGUI::UString & | _name | ) |

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 591 of file MyGUI_MultiListBox.cpp.

## _getItemAt()

Widget * MyGUI::MultiListBox::_getItemAt | ( | size_t | _index | ) | const

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 779 of file MyGUI_MultiListBox.cpp.

## _getItemCount()

size_t MyGUI::MultiListBox::_getItemCount | ( |  | ) | const

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 586 of file MyGUI_MultiListBox.cpp.

## _getItemNameAt()

const UString & MyGUI::MultiListBox::_getItemNameAt | ( | size_t | _index | ) | const

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 607 of file MyGUI_MultiListBox.cpp.

## _removeItemAt()

void MyGUI::MultiListBox::_removeItemAt | ( | size_t | _index | ) |

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 597 of file MyGUI_MultiListBox.cpp.

## _setItemNameAt()

void MyGUI::MultiListBox::_setItemNameAt | ( | size_t | _index,
|  | const UString & | _name )

override virtual

Reimplemented from MyGUI::IItemContainer.

Definition at line 602 of file MyGUI_MultiListBox.cpp.

## addColumn()

void MyGUI::MultiListBox::addColumn | ( | const UString & | _name,
|  | int | _width = 0,
|  | Any | _data = Any::Null )

Add new column at last position

Parameters

  _width | Width of new column
  _name | Name of new column
  _data | Any data associated with new column

Definition at line 530 of file MyGUI_MultiListBox.cpp.

## addItem()

void MyGUI::MultiListBox::addItem | ( | const UString & | _name,
|  | Any | _data = Any::Null )

Add new item at the end

Definition at line 540 of file MyGUI_MultiListBox.cpp.

## clearColumnDataAt()

void MyGUI::MultiListBox::clearColumnDataAt | ( | size_t | _index | ) |

Clear an item data at a specified position.

Definition at line 535 of file MyGUI_MultiListBox.cpp.

## clearIndexSelected()

void MyGUI::MultiListBox::clearIndexSelected | ( |  | ) |

Clear item selection

Definition at line 560 of file MyGUI_MultiListBox.cpp.

## clearItemDataAt()

void MyGUI::MultiListBox::clearItemDataAt | ( | size_t | _index | ) |

Clear an item data at a specified position.

Definition at line 570 of file MyGUI_MultiListBox.cpp.

## clearSubItemDataAt()

void MyGUI::MultiListBox::clearSubItemDataAt | ( | size_t | _column,
|  | size_t | _index )

Clear an item data at a specified position.

Definition at line 575 of file MyGUI_MultiListBox.cpp.

## findSubItemWith()

size_t MyGUI::MultiListBox::findSubItemWith | ( | size_t | _column,
|  | const UString & | _name )

Search item in specified _column, returns index of the first occurrence in column or ITEM_NONE if item not found

Definition at line 196 of file MyGUI_MultiListBox.cpp.

## getClassTypeName()

std::string_view MyGUI::MultiListBox::getClassTypeName | ( |  | ) |

inline static

Definition at line 44 of file MyGUI_MultiListBox.h.

## getColumnCount()

size_t MyGUI::MultiListBox::getColumnCount | ( |  | ) | const

Get number of columns.

Definition at line 525 of file MyGUI_MultiListBox.cpp.

## getColumnDataAt()

template<typename ValueType>

ValueType * MyGUI::MultiListBox::getColumnDataAt | ( | size_t | _index,
|  | bool | _throw = true )

inline

Get item data from specified position.

Definition at line 154 of file MyGUI_MultiListBox.h.

## getColumnIndex()

size_t MyGUI::MultiListBox::getColumnIndex | ( | const MultiListItem * | _item | ) | const

Get column index.

Definition at line 795 of file MyGUI_MultiListBox.cpp.

## getColumnName()

const UString & MyGUI::MultiListBox::getColumnName | ( | const MultiListItem * | _item | ) | const

Get _column name

Definition at line 790 of file MyGUI_MultiListBox.cpp.

## getColumnNameAt()

const UString & MyGUI::MultiListBox::getColumnNameAt | ( | size_t | _column | ) | const

Get _column name

Definition at line 86 of file MyGUI_MultiListBox.cpp.

## getColumnWidthAt()

int MyGUI::MultiListBox::getColumnWidthAt | ( | size_t | _column | ) | const

Get _column width

Definition at line 92 of file MyGUI_MultiListBox.cpp.

## getIndexSelected()

size_t MyGUI::MultiListBox::getIndexSelected | ( |  | ) | const

Get index of selected item (ITEM_NONE if none selected)

Definition at line 555 of file MyGUI_MultiListBox.cpp.

## getItemCount()

size_t MyGUI::MultiListBox::getItemCount | ( |  | ) | const

Note
  All indexes used here is indexes of unsorted Multilist. Even if you sorted it - all items indexes will be same as before sort. Get number of items (lines)

Definition at line 125 of file MyGUI_MultiListBox.cpp.

## getItemDataAt()

template<typename ValueType>

ValueType * MyGUI::MultiListBox::getItemDataAt | ( | size_t | _index,
|  | bool | _throw = true )

inline

Get item data from specified position.

Definition at line 223 of file MyGUI_MultiListBox.h.

## getItemNameAt()

const UString & MyGUI::MultiListBox::getItemNameAt | ( | size_t | _index | ) | const

Get item name from specified position.

Definition at line 550 of file MyGUI_MultiListBox.cpp.

## getSubItemDataAt()

template<typename ValueType>

ValueType * MyGUI::MultiListBox::getSubItemDataAt | ( | size_t | _column,
|  | size_t | _index,
|  | bool | _throw = true )

inline

Get item data from specified position.

Definition at line 258 of file MyGUI_MultiListBox.h.

## getSubItemNameAt()

const UString & MyGUI::MultiListBox::getSubItemNameAt | ( | size_t | _column,
|  | size_t | _index ) const

Get sub item name

Definition at line 188 of file MyGUI_MultiListBox.cpp.

## getTypeName()

virtual std::string_view MyGUI::MultiListBox::getTypeName | ( |  | ) | const

inline override virtual

Get type name as string

Reimplemented from MyGUI::Widget.

Definition at line 44 of file MyGUI_MultiListBox.h.

## initialiseOverride()

void MyGUI::MultiListBox::initialiseOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 20 of file MyGUI_MultiListBox.cpp.

## insertColumnAt()

void MyGUI::MultiListBox::insertColumnAt | ( | size_t | _column,
|  | const UString & | _name,
|  | int | _width = 0,
|  | Any | _data = Any::Null )

Insert new column

Parameters

  _column | New column will be inserted before _column
  _name | Name of new column
  _width | Width of new column
  _data | Any data associated with new column

Definition at line 612 of file MyGUI_MultiListBox.cpp.

## insertItemAt()

void MyGUI::MultiListBox::insertItemAt | ( | size_t | _index,
|  | const UString & | _name,
|  | Any | _data = Any::Null )

Insert new item before _index line

Definition at line 447 of file MyGUI_MultiListBox.cpp.

## isType() [1/2]

template<typename Type>

bool MyGUI::MultiListBox::isType | ( |  | ) | const

inline

Compare with selected type

Definition at line 44 of file MyGUI_MultiListBox.h.

## isType() [2/2]

virtual bool MyGUI::MultiListBox::isType | ( | const std::type_info & | _type | ) | const

inline override virtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Definition at line 44 of file MyGUI_MultiListBox.h.

## onWidgetCreated()

void MyGUI::MultiListBox::onWidgetCreated | ( | Widget * | _widget | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 670 of file MyGUI_MultiListBox.cpp.

## onWidgetDestroy()

void MyGUI::MultiListBox::onWidgetDestroy | ( | Widget * | _widget | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 681 of file MyGUI_MultiListBox.cpp.

## removeAllColumns()

void MyGUI::MultiListBox::removeAllColumns | ( |  | ) |

Delete all columns

Definition at line 98 of file MyGUI_MultiListBox.cpp.

## removeAllItems()

void MyGUI::MultiListBox::removeAllItems | ( |  | ) |

Delete all items

Definition at line 132 of file MyGUI_MultiListBox.cpp.

## removeColumnAt()

void MyGUI::MultiListBox::removeColumnAt | ( | size_t | _column | ) |

Delete column

Definition at line 638 of file MyGUI_MultiListBox.cpp.

## removeItemAt()

void MyGUI::MultiListBox::removeItemAt | ( | size_t | _index | ) |

Remove item at a specified position.

Definition at line 472 of file MyGUI_MultiListBox.cpp.

## setColumnDataAt()

void MyGUI::MultiListBox::setColumnDataAt | ( | size_t | _index,
|  | Any | _data )

Replace an item data at a specified position.

Definition at line 511 of file MyGUI_MultiListBox.cpp.

## setColumnName()

void MyGUI::MultiListBox::setColumnName | ( | MultiListItem * | _item,
|  | const UString & | _name )

Set column name

Parameters

  _item | column
  _name | New name of column

Definition at line 785 of file MyGUI_MultiListBox.cpp.

## setColumnNameAt()

void MyGUI::MultiListBox::setColumnNameAt | ( | size_t | _column,
|  | const UString & | _name )

Set column name

Parameters

  _column | Index of column
  _name | New name of column

Definition at line 70 of file MyGUI_MultiListBox.cpp.

## setColumnResizingPolicy()

void MyGUI::MultiListBox::setColumnResizingPolicy | ( | MultiListItem * | _item,
|  | ResizingPolicy | _value )

Set resizing policy of column.

See also
  ResizingPolicy

Parameters

  _item | Pointer to column
  _value | New resizing policy for column

Definition at line 806 of file MyGUI_MultiListBox.cpp.

## setColumnResizingPolicyAt()

void MyGUI::MultiListBox::setColumnResizingPolicyAt | ( | size_t | _index,
|  | ResizingPolicy | _value )

Set resizing policy of column.

See also
  ResizingPolicy

Parameters

  _index | Index of column
  _value | New resizing policy for column

Definition at line 811 of file MyGUI_MultiListBox.cpp.

## setColumnWidth()

void MyGUI::MultiListBox::setColumnWidth | ( | MultiListItem * | _item,
|  | int | _width )

Set column width

Parameters

  _item | column
  _width | New width of column

Definition at line 818 of file MyGUI_MultiListBox.cpp.

## setColumnWidthAt()

void MyGUI::MultiListBox::setColumnWidthAt | ( | size_t | _column,
|  | int | _width )

Set column width

Parameters

  _column | Index of column
  _width | New width of column

Definition at line 79 of file MyGUI_MultiListBox.cpp.

## setCoord() [1/2]

void MyGUI::MultiListBox::setCoord | ( | const IntCoord & | _coord | ) |

override virtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 836 of file MyGUI_MultiListBox.cpp.

## setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 179 of file MyGUI_Widget.cpp.

## setIndexSelected()

void MyGUI::MultiListBox::setIndexSelected | ( | size_t | _index | ) |

Select specified _index

Definition at line 161 of file MyGUI_MultiListBox.cpp.

## setItemDataAt()

void MyGUI::MultiListBox::setItemDataAt | ( | size_t | _index,
|  | Any | _data )

Replace an item data at a specified position.

Definition at line 565 of file MyGUI_MultiListBox.cpp.

## setItemNameAt()

void MyGUI::MultiListBox::setItemNameAt | ( | size_t | _index,
|  | const UString & | _name )

Replace an item name.

Definition at line 545 of file MyGUI_MultiListBox.cpp.

## setPosition() [1/2]

void MyGUI::MultiListBox::setPosition | ( | const IntPoint & | _point | ) |

override virtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 823 of file MyGUI_MultiListBox.cpp.

## setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 175 of file MyGUI_Widget.cpp.

## setSize() [1/2]

void MyGUI::MultiListBox::setSize | ( | const IntSize & | _size | ) |

override virtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 828 of file MyGUI_MultiListBox.cpp.

## setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 177 of file MyGUI_Widget.cpp.

## setSubItemDataAt()

void MyGUI::MultiListBox::setSubItemDataAt | ( | size_t | _column,
|  | size_t | _index,
|  | Any | _data )

Replace an item data at a specified position.

Definition at line 517 of file MyGUI_MultiListBox.cpp.

## setSubItemNameAt()

void MyGUI::MultiListBox::setSubItemNameAt | ( | size_t | _column,
|  | size_t | _index,
|  | const UString & | _name )

Set sub item

Parameters

  _column | Index of column
  _index | Index of line
  _name | New sub item value

Definition at line 176 of file MyGUI_MultiListBox.cpp.

## shutdownOverride()

void MyGUI::MultiListBox::shutdownOverride | ( |  | ) |

override protected virtual

Reimplemented from MyGUI::Widget.

Definition at line 65 of file MyGUI_MultiListBox.cpp.

## sortByColumn()

void MyGUI::MultiListBox::sortByColumn | ( | size_t | _column,
|  | bool | _backward = false )

Sort multilist by column

Definition at line 104 of file MyGUI_MultiListBox.cpp.

## swapColumnsAt()

void MyGUI::MultiListBox::swapColumnsAt | ( | size_t | _index1,
|  | size_t | _index2 )

Swap columns at a specified positions.

Definition at line 647 of file MyGUI_MultiListBox.cpp.

## swapItemsAt()

void MyGUI::MultiListBox::swapItemsAt | ( | size_t | _index1,
|  | size_t | _index2 )

Swap items at a specified positions.

Definition at line 498 of file MyGUI_MultiListBox.cpp.

## Field Documentation

## eventListChangePosition

EventPair<EventHandle_WidgetSizeT, EventHandle_MultiListPtrSizeT> MyGUI::MultiListBox::eventListChangePosition

Event : Selected item position changed.
signature : void method(MyGUI::MultiListBox* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | of new item

Definition at line 282 of file MyGUI_MultiListBox.h.

## eventListSelectAccept

EventPair<EventHandle_WidgetSizeT, EventHandle_MultiListPtrSizeT> MyGUI::MultiListBox::eventListSelectAccept

Event : Enter pressed or double click.
signature : void method(MyGUI::MultiListBox* _sender, size_t _index)

Parameters

  _sender | widget that called this event
  _index | of selected item

Definition at line 275 of file MyGUI_MultiListBox.h.

## eventNotifyItem

EventHandle_MultiListPtrCIBNotifyCellDataRef MyGUI::MultiListBox::eventNotifyItem

Event : Notify about event in item widget.
signature : void method(MyGUI::MultiList* _sender, const MyGUI::IBNotifyItemData& _info)

Parameters

  _sender | widget that called this event
  _info | info about item notify

Definition at line 302 of file MyGUI_MultiListBox.h.

## requestOperatorLess

EventPair< EventHandle_MultiListPtrSizeTCUTFStringRefCUTFStringRefBoolRef, EventHandle_MultiListPtrSizeTSizeTSizeTBoolRef> MyGUI::MultiListBox::requestOperatorLess

Event : Less than operator for sort multilist by columns.
signature : void method(MyGUI::MultiListBox* _sender, size_t _column, size_t _index1, size_t _index2, bool& _less)

Parameters

  _sender | widget that called this event
  _column | Index of column
  _index1 | Index of row for compare
  _index2 | Index of row for compare
  _less | Comparsion result (write your value here)

Definition at line 295 of file MyGUI_MultiListBox.h.

The documentation for this class was generated from the following files:

- MyGUI_MultiListBox.h
- MyGUI_MultiListBox.cpp